summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Lenard Spencer2021-05-10 19:48:34 +0200
committer Willy Sudiarto Raharjo2021-05-17 03:49:44 +0200
commit724d410c9e48a5cd98f6539523d2e8d9415a7dd9 (patch)
tree9bf0614a62b15667237875b2c4a229fa5d305a81 /multimedia
parente3a20a6689e5a25e605d8d508481ca26028cfcce (diff)
downloadslackbuilds-724d410c9e48a5cd98f6539523d2e8d9415a7dd9.tar.gz
multimedia/dvdbackup: Cleanups.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/dvdbackup/README3
-rw-r--r--multimedia/dvdbackup/dvdbackup.SlackBuild11
2 files changed, 5 insertions, 9 deletions
diff --git a/multimedia/dvdbackup/README b/multimedia/dvdbackup/README
index a512714f7a..7b398dfdbd 100644
--- a/multimedia/dvdbackup/README
+++ b/multimedia/dvdbackup/README
@@ -6,9 +6,6 @@ underscores with spaces and converting to "Proper Case".
To turn this "feature" off and retain the original VOLUME_ID
formatting, pass CLOBBER="no" to the script.
-To build on current (15.0 EXPERIMENTAL), pass CURRENT=yes to
-the script.
-
NOTE: Copyright laws vary from nation to nation, so bear in mind
that this program is only intended for personal backups.
diff --git a/multimedia/dvdbackup/dvdbackup.SlackBuild b/multimedia/dvdbackup/dvdbackup.SlackBuild
index 4b29260735..43b0655784 100644
--- a/multimedia/dvdbackup/dvdbackup.SlackBuild
+++ b/multimedia/dvdbackup/dvdbackup.SlackBuild
@@ -73,15 +73,14 @@ find -L . \
# Patch to not treat automake warnings as errors
patch -p0 < $CWD/patches/do_not_treat_automake_warnings_as_errors.patch
+# Patch for latest dvdread:
+patch -p0 < $CWD/patches/dvdbackup-dvdread-6.1.patch
+
# Patch to not change VOLUME_ID to Volume Id
if [ ${CLOBBER:-"yes"} == "no" ]; then
patch -p1 < $CWD/patches/dvdbackup_no-convert-title.patch
fi
-if [ "${CURRENT:-no}" = "yes" ]; then
- patch -p0 < $CWD/patches/dvdbackup-dvdread-6.1.patch
-fi
-
autoreconf -fiv
CFLAGS="$SLKCFLAGS" \
@@ -96,8 +95,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-#find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
-# | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done